{% extends "lab_10/layout/base.html" %}



{% block content %}
<head>
<link href="https://fonts.googleapis.com/css?family=Arimo|Spectral+SC" rel="stylesheet">
<style>

table {
    border-collapse: separate;
    border-spacing: 15px;
}
h1{
	font-family: 'Arimo', sans-serif;
 }
</style>

</head>
    <div class="row" style="margin-top: 100px;">
        <h1 style="text-align: center; margin-bottom: 30px;font-family: 'Arimo', sans-serif;">Watch Later List</h1>
        <hr>
        {% for movie in watch_later_movies %}
            <section name="watch-later-list" id="watch-later-list-{{ movie.imdbid }}" style="margin-bottom: 30px;">
                <div class="container">
                    <div class="row">
                        <div class="col-md-6 col-lg-6">
						<a href={% url 'lab-10:movie_detail' movie.imdbid %}>
                            <div id="picture-of {{ movie.title }}"><img src="{{ movie.poster }}"></div>
						</a>
                        </div>
                        <div class="col-lg-6">
                            <div id="watch-later-list" class="list-group">
                                <table>
						<tr><h2><b>{{ movie.title}}</b> ({{ movie.rated }}) </h2></tr>
						<tr><h3><em>{{ movie.genre}}</em></h3></tr>
						<hr>
						<tr>
							<p><em>Produced by: </em> {{ movie.production }}</p>
							
						</tr>
						<tr>
							<td><p style="font-size:20px">Duration </p> {{ movie.runtime }} </td>
							<td><p style="font-size:20px">Directed by </p> {{ movie.director }} </td>
						</tr>
						
						<tr>
							<td><p style="font-size:20px">Rating </p> 
							{%for rating in movie.ratings%}
								<p>
									{{rating.Source}}: {{rating.Value}}
								</p>
								<p> 
							{%endfor%}
							</td>
							<td><p style="font-size:20px">Written by </p> {{ movie.writer }} </td>
						</tr>
					</table>
                            </div>
                        </div>
                    </div>
                    {% if login %}
                    <a class="btn btn-warning" style="float: right;" onclick="addToWatched('{{ movie.imdbid }}')"> Add
                        to Already Watched </a>
					{% endif %}
                </div>
            </section>
            <hr>
        {% endfor %}
    </div>

    <script type="text/javascript">
        var deleteButton = function (id) {
            $.ajax({
                method: "GET",
                url: '/lab-10/movie/watch_later/delete/' + id,
                data: {id: id},
                success: function (response) {
                    console.log(response);
                    $("#watch-later-list-" + id).remove()
                },
                error: function (error) {
                    alert("Movie tersebut tidak ada");
                }
            });
        };

        var addToWatched = function (id) {
            $.ajax({
                method: "GET",
                url: '/lab-10/movie/watched_movie/add/' + id,
                success: function (response) {
                    console.log(response);
                    $("#watch-later-list-" + id).remove()
                },
                error: function (error) {
                    alert(error.responseText);
                }
            });
        };
    </script>
{% endblock %}
